Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer
Class OffsetCurveBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.OffsetCurveBuilder

    public class OffsetCurveBuilder

extends java.lang.Object

Computes the raw offset curve for a single `Geometry` component (ring, line or point). A raw offset curve line is not noded - it may contain self-intersections (and usually will). The final buffer polygon is computed by forming a topological graph of all the noded raw curves and tracing outside contours. The points in the raw curve are rounded to a given `PrecisionModel`.

Version:
  1.7

Constructor Summary
`OffsetCurveBuilder(PrecisionModel precisionModel, BufferParameters bufParams)`

Method Summary
`BufferParameters` | `getBufferParameters()` Gets the buffer parameters being used to generate the curve.
`Coordinate[]` | `getLineCurve(Coordinate[] inputPts, double distance)` This method handles single points as well as LineStrings.
`Coordinate[]` | `getOffsetCurve(Coordinate[] inputPts, double distance)`
`Coordinate[]` | `getRingCurve(Coordinate[] inputPts, int side, double distance)` This method handles the degenerate cases of single points and lines, as well as rings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffsetCurveBuilder

    public OffsetCurveBuilder(PrecisionModel precisionModel,
                              BufferParameters bufParams)

Method Detail

### getBufferParameters

    public BufferParameters getBufferParameters()

  Gets the buffer parameters being used to generate the curve.

  Returns:
    the buffer parameters being used

### getLineCurve

    public Coordinate[] getLineCurve(Coordinate[] inputPts,
                                     double distance)

  This method handles single points as well as LineStrings. LineStrings are assumed not to be closed (the function will not fail for closed lines, but will generate superfluous line caps).

  Parameters:
    `inputPts` - the vertices of the line to offset
    `distance` - the offset distance
  Returns:
    a Coordinate array representing the curve or null if the curve is empty

### getRingCurve

    public Coordinate[] getRingCurve(Coordinate[] inputPts,
                                     int side,
                                     double distance)

  This method handles the degenerate cases of single points and lines, as well as rings.

  Returns:
    a Coordinate array representing the curve or null if the curve is empty

### getOffsetCurve

    public Coordinate[] getOffsetCurve(Coordinate[] inputPts,
                                       double distance)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD